"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("@angular-devkit/schematics/testing");
const schematics_1 = require("@angular-devkit/schematics");
describe('Localess Cloud Sync', () => {
    beforeEach(() => {
        jasmine.DEFAULT_TIMEOUT_INTERVAL = 1000000;
    });
    const schematicRunner = new testing_1.SchematicTestRunner('@schematics/i18n-localess-sync', require.resolve('../collection.json'));
    // let appTree: UnitTestTree = new UnitTestTree(new HostTree());
    it('sync', () => __awaiter(void 0, void 0, void 0, function* () {
        const tree = schematics_1.Tree.empty();
        tree.create('/src/app/i18n/en.json', '{"shared.main.routeDashboard":"Dashboard_OLD","shared.main.routeSettings":"Settings_OLD","global.no":"LOCAL_ONLY"}');
        tree.create('/src/app/shared/i18n/en.json', '{"shared.main.routelogout": "Logout_OLD","shared.main.routeSync": "Sync_OLD","shared.no": "LOCAL_ONLY"}');
        const resultTree = yield schematicRunner.runSchematic('i18n-localess-sync', {
            // host: 'https://snr-business-localess-test.web.app',
            host: 'local',
            space: 'gatqBNAgcGObgKOJvMKm'
        }, tree);
        // Expect no new files
        expect(resultTree.files.length).toBe(2);
        // Expect values to be updated
        expect(resultTree.readContent('/src/app/i18n/en.json'))
            .toBe('{\n  "shared.main.routeDashboard": "Dashboard",\n  "shared.main.routeSettings": "Settings",\n  "global.no": "LOCAL_ONLY"\n}');
        expect(resultTree.readContent('/src/app/shared/i18n/en.json'))
            .toBe('{\n  "shared.main.routelogout": "Logout",\n  "shared.main.routeSync": "Sync",\n  "shared.no": "LOCAL_ONLY"\n}');
    }));
});
//# sourceMappingURL=index.spec.js.map