"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const utils_1 = require("../utils");
function i18nMerge() {
    return (0, schematics_1.chain)([
        (tree, context) => {
            const config = (0, utils_1.readConfig)(tree);
            context.logger.info(`Config = ${JSON.stringify(config)}`);
            context.logger.info(`Languages : ${config.languages.join(', ')}`);
            for (const lang of config.languages) {
                context.logger.info(`Search for '${lang}' files.`);
                const i18n = (0, utils_1.readLanguage)(tree, config.cwd, lang);
                (0, utils_1.saveLanguage)(tree, i18n, `${config.output}/${lang}.json`);
                context.logger.info(`Save in '${config.output}/${lang}.json'`);
            }
            return tree;
        }
    ]);
}
exports.default = i18nMerge;
//# sourceMappingURL=index.js.map