"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function setEnv(options) {
    return (tree, context) => {
        const env = {};
        Object.getOwnPropertyNames(process.env)
            .filter(value => value.startsWith(options.prefix || ''))
            .forEach((value) => {
            env[value] = process.env[value];
        });
        const content = `export const env = ${JSON.stringify(env, null, 2)};`;
        context.logger.info(content);
        if (tree.exists(options.path)) {
            tree.overwrite(options.path, content);
        }
        else {
            tree.create(options.path, content);
        }
        return tree;
    };
}
exports.default = setEnv;
//# sourceMappingURL=index.js.map