import { Tree } from '@angular-devkit/schematics';
import { Dictionary, FileConfiguration } from './models';
export declare function readConfig(tree: Tree): FileConfiguration;
/**
 * Extract language in one JSON.
 */
export declare function readLanguage(tree: Tree, cwd: string, lang: string, duplicateCheck?: boolean): Dictionary;
/**
 * Extract Key and Path.
 */
export declare function extractKeyPath(tree: Tree, cwd: string, lang: string): Map<string, string>;
/**
 * Extract Key and Value.
 */
export declare function extractKeyValue(tree: Tree, cwd: string, lang: string): Map<string, string>;
/**
 * Update i18n file
 */
export declare function updateI18nFile(tree: Tree, filePath: string, key: string, value: string): void;
/**
 * Save language Dictionary in file
 */
export declare function saveLanguage(tree: Tree, i18n: Dictionary, output: string): void;
export declare function proxyURIFromEnv(): string | undefined;
